curl --request PUT \
--url https://api.gologin.com/browser/{id}/custom \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Test Profile",
"notes": "Temporary profile for testing",
"autoLang": true,
"lockEnabled": false,
"folderName": "<string>",
"os": "win",
"osSpec": "win11",
"devicePixelRatio": 1,
"dns": "8.8.8.8",
"timezone": {
"enabled": true,
"fillBasedOnIp": true,
"timezone": "America/New_York"
},
"audioContext": {
"mode": "noise",
"noise": 0.1
},
"canvas": {
"mode": "off",
"noise": 0.1
},
"webGL": {
"mode": "noise",
"getClientRectsNoise": 0.5,
"noise": 0.5
},
"clientRects": {
"mode": "noise",
"noise": 0.5
},
"webGLMetadata": {
"vendor": "Google Inc. (Intel)",
"renderer": "ANGLE (Intel, Intel(R) HD Graphics 630 Direct3D11 vs_5_0 ps_5_0, D3D11)",
"mode": "mask"
},
"chromeExtensions": [],
"userChromeExtensions": [],
"folders": [],
"createProxy": false,
"startUrl": "",
"storage": {
"local": true,
"extensions": true,
"bookmarks": true,
"history": true,
"passwords": true,
"session": true,
"indexedDb": false,
"enableExternalExtensions": false
}
}
'import requests
url = "https://api.gologin.com/browser/{id}/custom"
payload = {
"name": "My Test Profile",
"notes": "Temporary profile for testing",
"autoLang": True,
"lockEnabled": False,
"folderName": "<string>",
"os": "win",
"osSpec": "win11",
"devicePixelRatio": 1,
"dns": "8.8.8.8",
"timezone": {
"enabled": True,
"fillBasedOnIp": True,
"timezone": "America/New_York"
},
"audioContext": {
"mode": "noise",
"noise": 0.1
},
"canvas": {
"mode": "off",
"noise": 0.1
},
"webGL": {
"mode": "noise",
"getClientRectsNoise": 0.5,
"noise": 0.5
},
"clientRects": {
"mode": "noise",
"noise": 0.5
},
"webGLMetadata": {
"vendor": "Google Inc. (Intel)",
"renderer": "ANGLE (Intel, Intel(R) HD Graphics 630 Direct3D11 vs_5_0 ps_5_0, D3D11)",
"mode": "mask"
},
"chromeExtensions": [],
"userChromeExtensions": [],
"folders": [],
"createProxy": False,
"startUrl": "",
"storage": {
"local": True,
"extensions": True,
"bookmarks": True,
"history": True,
"passwords": True,
"session": True,
"indexedDb": False,
"enableExternalExtensions": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Test Profile',
notes: 'Temporary profile for testing',
autoLang: true,
lockEnabled: false,
folderName: '<string>',
os: 'win',
osSpec: 'win11',
devicePixelRatio: 1,
dns: '8.8.8.8',
timezone: {enabled: true, fillBasedOnIp: true, timezone: 'America/New_York'},
audioContext: {mode: 'noise', noise: 0.1},
canvas: {mode: 'off', noise: 0.1},
webGL: {mode: 'noise', getClientRectsNoise: 0.5, noise: 0.5},
clientRects: {mode: 'noise', noise: 0.5},
webGLMetadata: {
vendor: 'Google Inc. (Intel)',
renderer: 'ANGLE (Intel, Intel(R) HD Graphics 630 Direct3D11 vs_5_0 ps_5_0, D3D11)',
mode: 'mask'
},
chromeExtensions: [],
userChromeExtensions: [],
folders: [],
createProxy: false,
startUrl: '',
storage: {
local: true,
extensions: true,
bookmarks: true,
history: true,
passwords: true,
session: true,
indexedDb: false,
enableExternalExtensions: false
}
})
};
fetch('https://api.gologin.com/browser/{id}/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update profile with partial parameters
Updates a profile - here you can specify particular parameters for the profile. Unspecified parameters will be calculated randomly.You need to specify the only parameters you want to update. Don’t put any other parameters that you don’t want to update.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the profile.
Query Parameters
Body
Profile name.
"My Test Profile"
Here you can put some information about the profile that wil help you to navigate.
"Temporary profile for testing"
If true, the browser will automatically change the language to the language of your location or proxy location if proxy is enabled.
true
If enabled - other users will not be able to run this profile when its already running.
false
Bookmarks of the browser that will be created.
Show child attributes
Show child attributes
OS type. It should be the same with the OS you want to run the browser on.
lin, mac, win, android, android-cloud, ios "win"
Here you can specify OS specification. For example chip version for macos or version of windows.
M1, M2, M3, M4, M5, A18, win11, "win11"
Parameter of mobile devices, tablets and notebooks. If you not sure what to put - leave it empty.
1
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Allows you to specify custom DNS (Domain Name System) settings for the browser profile.
"8.8.8.8"
The timezone configuration is a setting that controls how the browser handles time and date information.
Show child attributes
Show child attributes
Geolocation in the browser is a feature that allows websites to access the user's geographical location.
Show child attributes
Show child attributes
AudioContext is a configuration component that controls how Chromium handles the Web Audio API.
Show child attributes
Show child attributes
Canvas is a browser feature that utilizes the HTML5 Canvas API for rendering 2D and 3D graphics in web browsers.
Show child attributes
Show child attributes
Fonts are a configuration component that controls how Chromium handles the Fonts API.
Show child attributes
Show child attributes
A feature that provides access to connected media input and output devices like cameras, microphones, and speakers.
Show child attributes
Show child attributes
WebRTC in browser configuration refers to settings that control how the browser handles real-time communication protocols.
Show child attributes
Show child attributes
WebGL (Web Graphics Library) is a JavaScript API in Chromium-based browsers that allows websites to render interactive 2D and 3D graphics without requiring plugins. It provides direct access to the computer's GPU(Graphics Processing Unit) for accelerated rendering.
Show child attributes
Show child attributes
Controls whether the client rectangle values are randomized.
Show child attributes
Show child attributes
Controls WebGL metadata such as vendor and renderer information.
Show child attributes
Show child attributes
List of Chrome extensions to be installed in the browser profile.
List of custom Chrome extensions to be installed in the browser profile.
List of folder identifiers associated with this browser profile for organization.
If you want to create a proxy for the profile.
false
Show child attributes
Show child attributes
Response
Was this page helpful?